<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@E001=63</action>
    </script>
  </cheat>

  <cheat desc="Invincibility"> <comment>See the Dip Switch Menu to enable an alternate Invincibility cheat.</comment>
    <script state="on">
      <action>temp0 =maincpu.mb@24E2</action>
    </script>
    <script state="run">
      <action>maincpu.mb@24E2=00</action>
    </script>
    <script state="off">
      <action>maincpu.mb@24E2=temp0 </action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire"> <comment>Use during playing the game. DO NOT set before starting the game (Take Off screen etc) to prevent the game from crashing</comment>
    <script state="run">
      <action>maincpu.pb@F418=00|(maincpu.pb@F418 BAND ~04)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@E0C6=11</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@E0E1=11</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
